Subject: [lmap] comments to the Working Group Last Call for http://www.ietf.org/id/draft-ietf-lmap-use-cases-02.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 27 Feb 2014 12:56:27 +0000

Hi,

Here are my comments to the Working Group Last Call for http://www.ietf.org/id/draft-ietf-lmap-use-cases-02.txt. Please consider these as contributor comments and address them together with the other WGLC comments.

1.       The second sentence in the Abstract talks about measurement controller and measurement server. I believe that the abstract should be more general and talk about the scope of the document (use cases) without making assumptions about the solutions and architecture of the solutions.

2.       The first paragraph in the introduction should add that the use cases described in the document are not necessarily all use cases involving large-scale measurement, but the focus agreed by consensus for a first phase of this work.

3.       The first sentence in Section 2 is not clear to me. What does 'metrics for instructions' mean?

4.       In the same paragraph 'layer 2 technologies' uses OSI layering speak. In the IETF we rather refer to this as to the data-link layer

5.       There are many acronyms that are not expanded - FTTP, FTTC, ADSL, etc. - please expand these (excepting the very obvious) at first occurrence

6.       In Section 3.3:

>  With better information, capacity planning and network design can be

   more effective. Such planning typically uses simulations to emulate

   the measured performance of the current network and understand the

   likely impact of new capacity and potential changes to the topology.

   It may also be possible to run stress tests for risk analysis, for

   example 'if whizzy new application (or device) becomes popular, which

   parts of my network would struggle, what would be the impact on other

   services and how many customers would be affected'. What-if

   simulations could help quantify the advantage that a new technology

   brings and support the business case for larger roll-out. This

   approach should allow good results with measurements from a limited

   panel of customers.

I am not sure what this paragraph is supposed to convene and how what-if simulations are related to LMAP

7.       Rest of section 3.3 (last three paragraphs) seems to deal with a separate issue (SLAs) and seem to deserve a separate sub-section of their own

8.        Section 4.3 probably needs an update following recent developments in the US concerning the FCC net neutrality rules

9.       In the security consideration section:

Ø     a measurement system that is vague about who is the "data

      controller": the party legally responsible for privacy (data

      protection).
It is not clear to me what is meant here by "data controller" - is this a specific architecture to protect privacy? I would rather see the requirement for privacy being clearly articulated in all necessary details (what data needs to be protected? User?  Control? Measurement results?)

10.   I do not believe that we need a reference or text about the 2119 key words, as this is an informational document, and key words are not used through it.

11.   I do not believe that there is need for any Normative References in this document. All references can be moved to Informational References.

Regards,

Dan